<?php

/* each element in this associative array contains three values:
       [0] - current temperature
       [1] - current condition
       [2] - 5 day forecast associative array  
*/             
$weatherData = [
    "Chicago" => [ 45, "fog",   [ "Mon" => [44,"fog"], "Tue" => [42,"sleet"], "Wed" => [40,"rain"], "Thu" => [44,"cloudy"], "Fri" => [45,"cloudy"]] ],
    "Paris" =>   [ 73, "sunny", [ "Mon" => [75,"sunny"], "Tue" => [75,"sunny"], "Wed" => [68,"cloudy"], "Thu" => [66,"cloudy"], "Fri" => [60,"rain"]] ],
    "Calgary" => [ -8, "snow",  [ "Mon" => [-7,"snow"], "Tue" => [-10,"snow"], "Wed" => [-3,"sleet"], "Thu" => [0,"cloudy"], "Fri" => [3,"sunny"]] ] 
];

?>


<?php   function outputCityForecast($city, $forecast) { ?>

    <article class="box"> 
        <h1><?=$city?></h1>
        
        <div class="weather">
            <img src="images/<?=$city?>.jpg"  />
            <div>
                <h2><?=$forecast[0]?></h2>
                <p><?=$forecast[1]?></p>                
            </div>
        </div>
        <section>
            <?php 
                foreach ($forecast[2] as $key => $value) {
                    outputDayForecast($key, $value[0], $value[1]);
                }
            ?>
        </section>
    </article>   
    
<?php } ?>


<?php  function outputDayForecast($day, $temperature, $condition) { ?>

        <div>
            <h3><?=$day?></h3>
            <p><i class="wi wi-day-<?=$condition?>"></i></p>
            <p><?=$temperature?></p>
        </div>

<?php } ?>