// first reference required modules
const fs = require('fs');
const path = require('path');
const express = require('express');

// create an express app
const app = express();

// tell node to use json and HTTP header features in body-parser
app.use(express.json());
app.use(express.urlencoded({extended: true}));


// for now, we will get our data by reading the provided json file
const jsonPath = path.join(__dirname, 'data', 'photos.json');
const jsonData = fs.readFileSync(jsonPath, 'utf8');
// convert string data into JSON object
const photos = JSON.parse(jsonData);

// handle requests for static resources
app.use('/static', express.static(path.join(__dirname,'public')));


// handle api routes
app.get('/', (req,resp) => { resp.json(photos) } );

// return just the requested photo
app.get('/:id', (req,resp) => {
   // change user supplied symbol to upper case
   const idToFind = req.params.id;
   // search the array of objects for a match
   const  matches = photos.filter(obj => idToFind == obj.id);
     // return the matching photo
   resp.json(matches);
 });
 // return photos from country
 app.get('/iso/:substring', (req,resp) => {
   // change user supplied substring to lower case
   const isoToFind = req.params.substring.toUpperCase();
   // search the array of objects for a match 
   const matches = photos.filter( obj => isoToFind == obj.iso);
   // return the matching photos
   resp.json(matches);
 });

 
// Use express to listen to port
let port = 8080;
app.listen(port, () => {
    console.log("Server running at port= " + port);
});
