//  handle GET requests for [domain]/api/images - return all images
const handleAllImages = (app, Image) => {
    app.route('/api/')
       .get(function (req,resp) {
          // use mongoose to retrieve all books from Mongo
          Image.find({}, function(err, data) {
             if (err) {
                resp.json({ message: 'Unable to connect to images' });
             } else {
                // return JSON retrieved by Mongo as response
                resp.json(data);
             }
          });
       });   
 };

 // handle requests for specific image: e.g., /api/images/1
const handleSingleImage = (app, Image) => {   
    app.route('/api/images/id/:id')
       .get(function (req,resp) {
         Image.find({id: req.params.id}, (err, data) => {
             if (err) {
                 resp.json({ message: 'Image not found' });
             } else {
                 resp.json(data);
             }
          });
       });
 };
 
// handle requests for books with specific city: 
// e.g., [domain]/api/images/city/Calgary
const handleImagesByCity = (app, Image) => { 
    app.route('/api/images/city/:city')
    .get(function (req,resp) {
      Image.find({'location.city': new RegExp(req.params.city,'i')}, (err, data) => {
          if (err) {
              resp.json({ message: 'City not found' });
          } else {
              resp.json(data);
          }
       });
    });
 };  

 //  handle requests for books with specific country:
 // e.g., [domain]/api/images/country/canada
const handleImagesByCountry = (app, Image) => {
    app.route('/api/images/country/:country')
    .get(function (req,resp) {
      Image.find({'location.country': new RegExp(req.params.country,'i')}, (err, data) => {
          if (err) {
              resp.json({ message: 'Country not found' });
          } else {
              resp.json(data);
          }
       });
     });   
  };

   
    
  
module.exports = {
   handleAllImages,
   handleSingleImage,
   handleImagesByCity,
   handleImagesByCountry
 };
 